-- 基础信息
base_info = {
	group_id = 247002013
}

-- DEFS_MISCS
local GroupId = 247002013
local point_id_list = {}
local MainGroupID = 247002001
local RegionID = 13001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 13001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 159.999, y = 0.104, z = 159.998 } }
}

-- 触发器
triggers = {
	{ config_id = 1013001, name = "ENTER_REGION_13001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 13002, pos = { x = 156.064, y = 0.161, z = 167.666 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13003, pos = { x = 164.149, y = 0.159, z = 167.612 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13004, pos = { x = 160.044, y = 0.155, z = 168.556 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13005, pos = { x = 152.887, y = 0.175, z = 166.450 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 13006, pos = { x = 167.108, y = 0.168, z = 166.010 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 13007, pos = { x = 151.667, y = 0.159, z = 163.729 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 13008, pos = { x = 168.775, y = 0.164, z = 163.744 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 13009, pos = { x = 151.416, y = 0.154, z = 160.023 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 13010, pos = { x = 168.877, y = 0.162, z = 160.039 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 13011, pos = { x = 160.078, y = 0.168, z = 168.096 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 13012, pos = { x = 154.293, y = 0.179, z = 167.163 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 13013, pos = { x = 165.769, y = 0.154, z = 167.129 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 13014, pos = { x = 151.349, y = 0.162, z = 162.484 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 13015, pos = { x = 168.899, y = 0.160, z = 162.490 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 13016, pos = { x = 151.363, y = 0.156, z = 157.600 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 13017, pos = { x = 168.806, y = 0.155, z = 157.655 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 13018, pos = { x = 154.341, y = 0.154, z = 152.932 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 13019, pos = { x = 165.699, y = 0.154, z = 152.848 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 13020, pos = { x = 159.980, y = 0.154, z = 152.053 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 13021, pos = { x = 152.864, y = 0.196, z = 167.180 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 13022, pos = { x = 167.144, y = 0.171, z = 167.183 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 13023, pos = { x = 152.866, y = 0.154, z = 152.829 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 13024, pos = { x = 167.067, y = 0.154, z = 152.907 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 13025, pos = { x = 160.169, y = 0.171, z = 167.428 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 13026, pos = { x = 159.971, y = 0.154, z = 152.671 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 13027, pos = { x = 151.889, y = 0.154, z = 160.002 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 13028, pos = { x = 168.265, y = 0.157, z = 159.967 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 13029, pos = { x = 151.994, y = 0.155, z = 155.937 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 13030, pos = { x = 167.962, y = 0.163, z = 163.376 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 13031, pos = { x = 163.401, y = 0.154, z = 152.353 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 13032, pos = { x = 156.149, y = 0.179, z = 167.276 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 13033, pos = { x = 156.231, y = 0.050, z = 161.034 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 13001 },
		triggers = { "ENTER_REGION_13001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
